=== debian/changelog ===
poselib (2.0.5-1) unstable; urgency=medium

  * Initial release. (Closes: #1118718)

 -- Alex Myczko <tar@debian.org>  Fri, 24 Oct 2025 10:03:10 +0200
