=== debian/control ===
Source: poselib
Section: libs
Priority: optional
Maintainer: Alex Myczko <tar@debian.org>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 cmake,
 libeigen3-dev,
Standards-Version: 4.7.2
Homepage: https://github.com/PoseLib/PoseLib
Vcs-Browser: https://salsa.debian.org/debian/poselib
Vcs-Git: https://salsa.debian.org/debian/poselib.git

Package: libposelib
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Description: Minimal solvers for calibrated camera pose estimation
 This library provides a collection of minimal solvers for camera pose
 estimation. The focus is on calibrated absolute pose estimation problems
 from different types of correspondences.
